Title  'Bvaccine     2005-07-13  Y.Takahashi ' ;

data vaccine ;
    input  dose  @@ ;
	log_x = log10(dose) ;
	like = 0 ;
    do  drug = 'S', 'T' ;
      z =(drug='T') ; 
      input  r1 r2 r3  @@ ;
      output ;
    end ;       
 datalines ;
0.125   1  5  12     0   3   15     
0.25   10  6   2     2   5   11     
0.5    12  4   2    10   2    6     
1      13  2   3    14   3    1     
2      14  1   3    17   0    1     
;
proc sort data=vaccine ;
    by  drug dose ;
	run ;

proc print data=vaccine ;
run ;

proc nlmixed data=vaccine     df=9e+8 ;
    parms  beta1 3.5   beta2_1 -0.5  beta2_2 -0.8  log_rho 0  ;
    pi1  = 1 / (1 + exp(beta1*(beta2_1 - (log_rho*z + log_x)))) ;     
    pi2  = 1 / (1 + exp(beta1*(beta2_2 - (log_rho*z + log_x)))) - pi1 ; 
	pi3  = 1 - (pi1 + pi2) ;
	log_L= r1*log(pi1) + r2*log(pi2) + r3*log(pi3)  ;
    model   like ~ general(log_L) ;
	run ;

data rho ;
    input  log_pho  log_L95  log_U95 ;
	pho = 10**log_pho ; 
	L95 = 10**log_L95 ; 
	U95 = 10**log_U95 ; 
datalines ;
 -0.1935   -0.3813   -0.00576
 ;
 proc print data=rho ;
 run ;

data vaccine2 ;
    input  dose  @@ ;
	log_x = log10(dose) ;
    do  drug = 'S', 'T' ;
      z =(drug='T') ; 
	  do  y = 1, 2, 3 ;
        input  r  @@ ;
        output ;
      end ;
    end ;       
 datalines ;
0.125   1  5  12     0   3   15     
0.25   10  6   2     2   5   11     
0.5    12  4   2    10   2    6     
1      13  2   3    14   3    1     
2      14  1   3    17   0    1     
;
proc sort data=vaccine2 ;
    by  drug dose ;
	run ;

proc print data=vaccine2 ;
run ;

proc genmod data=vaccine2 ;
	model  y = z log_x  z*log_x / dist=multinomial  link=clogit ;
	weight  r ;
	run ;

proc genmod data=vaccine2 ;
	model  y = z log_x  / dist=multinomial  link=clogit ;
	weight  r ;
	run ;

data d01 ;
    input  beta1 beta2_1 beta2_2 log_rho ;
	Intercept1 = - beta1 * beta2_1 ;
	Intercept2 = - beta1 * beta2_2 ;
    beta_z     =   log_rho * beta1 ;
datalines ;
 3.4063 -0.4428 -0.7593  -0.1935 
 ;

proc print data=d01 ;
run ; 

