Title1 'Beta_Binomial.sas   2005-7-13  Y.Takahashi' ;

data rats ;
      input trt$ litter r  n  @@ ;
	  z0 = 1 ;  z1=(trt='c');  z2=(trt='t'); 
	  like = 0 ;
datalines;
c	1	13	13  c	2	12	12   c	3	9	9
c	4	9	9   c	5	8	8    c	6	8	8
c	7	12	13  c	8	11	12   c	9	9	10
c	10	9	10  c	11	8	9    c	12	11	13
c	13	4	5   c	14	5	7    c	15	7	10
c	16	7	10
t	17	12	12  t	18	11	11   t	19	10	10
t	20	9	9   t	21	10	11   t	22	9	10
t	23	9	10  t	24	8	9    t	25	8	9
t	26	4	5   t	27	7	9    t	28	4	7
t	29	5	10  t	30	3	6    t	31	3	10
t	32	0	7
;
proc print data=rats ;
run ;

proc genmod data=rats ;
    class  trt ;
	model  r / n  = trt  / dist=binomial link=logit noint covb;
	run ;

proc nlmixed  data=rats   df=9e+8 ; ;
    parms     b0 0.9  b1 0.8 ;
	alpha=4 ; 
    beta= 1 ;
    eta = b0 + b1*z2 ;
    pi = 1 / (1 + exp(-eta)) ; 
*	log_L= r*log(pi) + (n-r)*log(1-pi) ;
    log_L = log(comb(n,r)*beta(alpha+r,n+beta-r)/beta(alpha,beta) ) ;
    model   like ~ general(log_L) ;
	run ;
 
data d01 ;
    set rats  ;
    b1= 0.9;   b2= 0.8 ;
	alpha=4 ; 
    beta= 1 ;
    eta = b1*z1 + b2+z2 ;
    pi = 1 / (1 + exp(-eta)) ; 
*	log_L= r*log(pi) + (n-r)*log(1-pi) ;
    log_L = log(comb(n,r)*beta(alpha+r,n+beta-r)/beta(alpha,beta) ) ;
*	log_L= r*log(pi) + (n-r)*log(1-pi) ;
	run ;

	proc print data=d01 ;
	run ;
