Title1 'Finney_T6_3   2005-7-14    Y.Takahashi' ;

data d01 ;   
    input drug $11.  log_x  r  n ;
	  z1 = (drug='Morphine') ;
	  z2 = (drug='Amidone') ;
	  z3 = (drug='Phenadoxone') ;
	  z4 = (drug='Pethidine') ;
	  like = 0 ;
datalines ;
Morphine    0.18  19 103
Morphine    0.48  53 120
Morphine    0.78  83 123
Amidone     0.18  14 60
Amidone     0.48  54 110
Amidone     0.78  81 100
Phenadoxone -0.12 31 90
Phenadoxone 0.18  54 80
Phenadoxone 0.48  80 90
Pethidine   0.7   13 60
Pethidine   0.88  27 85
Pethidine   1     32 60
Pethidine   1.18  55 90
Pethidine   1.3   44 60
;

proc print data=d01 ;
run ; 

Title2 '<<< Parallel lines  (class) >>>>';
proc genmod data=d01 ;
    class  drug ;
	model  r / n  = drug log_x / dist=binomial link=probit noint covb;
	run ;

proc nlmixed  data=d01   df=9e+8 ;
    parms  beta1  3  beta2 0.5  log_rho2 0 log_rho3 0  log_rho4 0 ;
    eta = beta1*(log_rho2*z2 + log_rho3*z3 + log_rho4*z4 + log_x - beta2) ;
*    pi = 1 / (1 + exp(-eta)) ; 
    pi = probnorm(eta) ; 
	log_L= r*log(pi) + (n-r)*log(1-pi) ;
    model   like ~ general(log_L) ;
	run ;
 
proc nlmixed  data=d01   df=9e+8 ;
    parms  beta1  3  beta2 0.5  log_rho2 0 log_rho3 0  log_rho4 0 ;
    eta = beta1*(log_rho2*z2 + log_rho3*z3 + log_rho4*z4 + log_x - beta2) ;
    pi = 1 / (1 + exp(-eta)) ; 
*    pi = probnorm(eta) ; 
	log_L= r*log(pi) + (n-r)*log(1-pi) ;
    model   like ~ general(log_L) ;
	run ;
 

